#
# spec file for package libibcm (Version 1.0.5)
#
# Copyright (c) 2009-2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           libibcm
Summary:        Userspace Infiniband Connection Management API
Version:        1.0.5
Release:        11.5
License:        GPL-2.0 or BSD-2-Clause
Group:          Productivity/Networking/System
Source0:        https://www.openfabrics.org/downloads/rdmacm/%{name}-%{version}.tar.gz
Source1:        baselibs.conf
Url:            http://www.openfabrics.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libibverbs-devel
BuildRequires:  automake autoconf libtool
# bug437293
%ifarch ppc64
Obsoletes:      libibcm-64bit
%endif
#

%define so_major 1
%define lib_name %{name}%{so_major}

%description
Along with the OpenIB kernel drivers, libibcm provides a userspace
InfiniBand Connection Managment API.


%package     -n %{lib_name}
Summary:        Infiniband Connection Management runtime library
Group:          System/Libraries
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libibverbs-devel
# bug437293
%ifarch ppc64
Obsoletes:      libibcm-64bit
%endif
#

%description -n %lib_name
Along with the OpenIB kernel drivers, libibcm provides a userspace
InfiniBand Connection Managment API.


%package        devel
Group:          Development/Libraries/C and C++
Summary:        Development files for the libibcm library
Requires:       %{lib_name} = %{version} libibverbs-devel
# bug437293
%ifarch ppc64
Obsoletes:      libibcm-devel-64bit
%endif

%description    devel
Development files for the libibcm library.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_libdir}/*.la


%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-, root, root)
%doc COPYING
%_libdir/libibcm.so.*

%files devel
%defattr(-,root,root)
%_includedir/infiniband/cm.h
%_includedir/infiniband/cm_abi.h
%_libdir/libibcm.so

%changelog
* Thu Jun 26 2014 pth@suse.de
- Add baselibs.conf as source
- Don't package the static library.
* Tue Jun 24 2014 pth@suse.de
- Fix source URL
* Tue Jun  3 2014 pth@suse.de
- Update to OFED 3.12 final.
* Tue Apr 22 2014 pth@suse.de
- Build for s390(x).
* Wed Jan 29 2014 pth@suse.de
- License is GPL-2.0 not GPL-2.0+.
- Add COPYING do docs.
* Wed Jan 29 2014 pth@suse.de
- Don't recompress tarball.
- Use complete source URI.
* Fri Jan 17 2014 pth@suse.de
- Update to OFED 3.12 daily
* Wed Sep  5 2012 jengelh@inai.de
- Remove redundant sections from specfile
- Parallel build with %%_smp_mflags
* Wed Sep  5 2012 pth@suse.de
- Move runtime library into separate package named according to
  the shared library policy.
- Move static library into its own sub package.
- Fix License tag to conform to the SPDX mapping.
* Tue May  8 2012 pth@suse.de
- BuildRequire automake, autoconf and libtool.
* Mon Oct 25 2010 jjolly@novell.com
- Update to v1.0.5 from OFED 1.5.2
* Wed Jan  7 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Thu Dec 11 2008 jjolly@suse.de
- Updated to package from OFED 1.4 GA
  - version updated
* Fri Nov  7 2008 ihno@suse.de
- adding ExcludeArch for s390 s390x
- adding baselibs.conf
* Tue Oct 28 2008 jjolly@suse.de
- Updated to version 1.0.4 from OFED 1.4 rc3
* Thu Sep 11 2008 jjolly@suse.de
- Updated to version 1.0.3 found in OFED 1.4 RC1
* Tue Aug 21 2007 hvogel@suse.de
- Update to version from OFED 1.2.5
* Wed Jun 20 2007 hvogel@suse.de
- Initial Package, Version 1.0
